Package org.silverpeas.mobile.client.apps.agenda.events.pages

## Class CalendarLoadedEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<AgendaPagesEventHandler>
    - - org.silverpeas.mobile.client.apps.agenda.events.pages.AbstractAgendaPagesEvent
      - - org.silverpeas.mobile.client.apps.agenda.events.pages.CalendarLoadedEvent

-     public class CalendarLoadedEvent
      extends AbstractAgendaPagesEvent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H extends Object>`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.apps.agenda.events.pages.AbstractAgendaPagesEvent

      `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CalendarLoadedEvent​(ApplicationInstanceDTO instance, List<CalendarEventDTO> events)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `dispatch​(AgendaPagesEventHandler handler)` |
    `List<CalendarEventDTO>` | `getEvents()` |
    `ApplicationInstanceDTO` | `getInstance()` |
    `void` | `setEvents​(List<CalendarEventDTO> events)` |

    - ### Methods inherited from class org.silverpeas.mobile.client.apps.agenda.events.pages.AbstractAgendaPagesEvent

      `getAssociatedType`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarLoadedEvent

          public CalendarLoadedEvent​(ApplicationInstanceDTO instance,
                                     List<CalendarEventDTO> events)

  - ### Method Detail

    - #### dispatch

          protected void dispatch​(AgendaPagesEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<AgendaPagesEventHandler>`

    - #### getEvents

          public List<CalendarEventDTO> getEvents()

    - #### setEvents

          public void setEvents​(List<CalendarEventDTO> events)

    - #### getInstance

          public ApplicationInstanceDTO getInstance()